EngineConfig (Tomcat API Documentation)
Keywords: org.apache.catalina.startup.EngineConfig class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.catalina.startup
Class EngineConfig

    java.lang.Object
      org.apache.catalina.startup.EngineConfig

All Implemented Interfaces:
  LifecycleListener

    public class EngineConfig

extends java.lang.Object
implements LifecycleListener

Startup event listener for a Engine that configures the properties of that Engine, and the associated defined contexts.

Version:
  $Revision: 467222 $ $Date: 2006-10-24 05:17:11 +0200 (Tue, 24 Oct 2006) $
Author:
  Craig R. McClanahan

Field Summary
`protected Engine` | `engine` The Engine we are associated with.
`protected static Log` | `log`
`protected static StringManager` | `sm` The string resources for this package.

Constructor Summary
`EngineConfig()`

Method Summary
`void` | `lifecycleEvent(LifecycleEvent event)` Process the START event for an associated Engine.
`protected void` | `start()` Process a "start" event for this Engine.
`protected void` | `stop()` Process a "stop" event for this Engine.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### log

    protected static Log log

### engine

    protected Engine engine

  The Engine we are associated with.

### sm

    protected static final StringManager sm

  The string resources for this package.

Constructor Detail

### EngineConfig

    public EngineConfig()

Method Detail

### lifecycleEvent

    public void lifecycleEvent(LifecycleEvent event)

  Process the START event for an associated Engine.

  Specified by:
    `lifecycleEvent` in interface `LifecycleListener`
  Parameters:
    `event` - The lifecycle event that has occurred

### start

    protected void start()

  Process a "start" event for this Engine.

### stop

    protected void stop()

  Process a "stop" event for this Engine.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2008 Apache Software Foundation. All Rights Reserved.